--- /dev/null	Thu Apr  2 18:49:49 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/wchar_h.cfg	Thu Apr  2 18:49:49 2015
@@ -0,0 +1,83 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in wchar.h
+#
+
+#
+# Types.
+#
+type | locale_t | wchar.h |  -ALL SUSv4+
+type | wctype_t | wchar.h |  -ALL XPG3+
+
+#
+# Values.
+#
+value | NULL | void * | wchar.h | ALL
+
+#
+# Functions
+#
+func |	wcpcpy							|\
+	wchar_t *						|\
+	wchar_t *; const wchar_t *				|\
+	wchar.h | -ALL SUSv4+
+
+func |	wcpncpy							|\
+	wchar_t *						|\
+	wchar_t *; const wchar_t *; size_t			|\
+	wchar.h	| -ALL SUSv4+
+
+func |	wcsdup							|\
+	wchar_t *						|\
+	const wchar_t *						|\
+	wchar.h | -ALL SUSv4+
+
+func |	wcscasecmp						|\
+	int							|\
+	const wchar_t *; const wchar_t *			|\
+	wchar.h	| -ALL SUSv4+
+
+func |	wcscasecmp_l						|\
+	int							|\
+	const wchar_t *; const wchar_t *; locale_t		|\
+	wchar.h | -ALL SUSv4+
+
+# technically this is new in C90-Amd1, but we don't have a test for it.
+func |	wcslen							|\
+	size_t							|\
+	const wchar_t *						|\
+	wchar.h | ALL
+
+func |	wcsncasecmp						|\
+	int							|\
+	const wchar_t *; const wchar_t *; size_t		|\
+	wchar.h	| -ALL SUSv4+
+
+func |	wcsncasecmp_l						|\
+	int							|\
+	const wchar_t *; const wchar_t *; size_t; locale_t	|\
+	wchar.h	| -ALL SUSv4+
+
+func |	wcsnlen							|\
+	size_t							|\
+	const wchar_t *; size_t					|\
+	wchar.h	| -ALL SUSv4+
+
+func |	wcswcs							|\
+	wchar_t *						|\
+	const wchar_t *; const wchar_t *			|\
+	wchar.h	| -ALL XPG4+
